.body {
    position: relative;
}

.overlay {
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 96.5%;
    background-color: rgba(0,0,0,0.6);
    z-index: 1;
}

.background-video-section {
    height: 100dvh;
    position: relative;
    overflow: hidden;
}

.background-video {
  position: absolute;
  object-fit: cover;
  width: 100%;
  height: 100dvh;
  z-index: -1;
}

.video-section {
    margin: 120px 0 60px 0;
    flex-direction: column;
    position: relative;
}

.video-title {
    display: flex;
    font-size: clamp(25px, 3.5vw, 80px);
    position: absolute;
    z-index: 1;
    bottom: 10px;
    left: 2.5vw;
    color: rgba(255, 255, 255, 0.9);
}

.red {
    color: #ed2024;
}

.video-title-2, .video-title-3 {
    margin-left: 25px;
}

.video-div {
    margin: 0;
    padding: 0;
}

.video {
    border-radius: 22px;
    width: 80vw; 
    height: auto;
}

.description-section {
    flex-direction: column;
    margin: 200px 0;
}

.description-1, .description-3 {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.description-1 {
    display: flex;
    justify-content: center;
    font-size: 50px;
}

.description-2 {
    font-size: 70px;
    font-weight: 700;
    width: 45dvw;
    text-align: center;
    margin: 10px auto;
}

.description-3 {
    width: 50dvw;
    text-align: center;
    line-height: 45px;
    font-size: 35px;
    margin: 5px auto;
}

.other-companies {
    margin-bottom: 200px;
    width: 100%;
    overflow: hidden;
    position: relative;
    mask-image: linear-gradient(
        to right,
        transparent,
        black 10%,
        black 90%,
        transparent
    );

    -webkit-mask-image: linear-gradient(
        to right,
        transparent,
        black 10%,
        black 90%,
        transparent
    );
}

.logo-track {
    display: flex;
    align-items: center;
    width: max-content;
    gap: 150px;

    animation: scroll 15s linear infinite;
}

.logo {
    flex-shrink: 0;
}

.logo img {
    display: block;
    max-width: 100%;
    max-height: 70px;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

/* .other-companies-img {
    max-width: 100%;
    max-height: 50px;
    object-fit: contain;
    filter: grayscale(100%); 
    transition: transform 0.3s ease;
} 
*/

.main-project {
    margin-bottom: 30px;
}

.main-project-img{
    width: 90dvw;
    height: auto;
    border-radius: 30px;
    cursor: pointer;
}

.side-projects {
    gap: 2dvw;
    margin-bottom: 30px;
}

.side-projects-img {
    width: 44dvw;
    height: 95dvh;
    border-radius: 30px;
    cursor: pointer;
}

.last-project {
    margin-bottom: 160px;
}

.back-stage{
    flex-direction: column;
    margin-bottom: 80px;
}

.back-stage-text {
    font-size: 3vw;
    margin-bottom: 40px;
}

.about-us-button {
    background-color: red;
    color: white;
    width: 100px;
    height: 40px;
    border-radius: 20px;
    cursor: default;
}

.arrow {
    font-size: 20px;
    margin-left: 5px;
}

.about-us {
    margin-left: 5dvw;
}

.about-us-heading {
    margin-right: 40dvw;
    font-size: 6dvw;
    line-height: 15dvh;
    margin-bottom: 40px;
}

.about-us-text {
    margin-right: 30dvw;
    font-size: 30px;
    line-height: 5dvh;
    margin-bottom: 40px;
}

.about-us-text-last {
    margin-bottom: 25dvh;
}

.last-text {
    margin-left: 5dvw;
    margin-bottom: 20px;
    font-size: 2.5dvw;
}

.container {
    max-width: 1400px;
    padding: 0 80px;
    margin: 0 auto 80px auto;
}

.cards {
    display: flex;
    padding: 25px 0px;
    list-style: none;
    overflow-x: scroll;
    -ms-scroll-snap-type: x mandatory;
    scroll-snap-type: x mandatory;
}

.card {
    display: flex;
    flex-direction: column;
    flex: 0 0 100%;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 15%);
    scroll-snap-align: start;
    transition: all 0.2s;
}

.card:not(:last-child) {
    margin-right: 10px;
}

.card:hover {
    color: white;
    background: #ef233c;
}

.card .card-title {
    font-size: 20px;
}

.card .card-content {
    margin: 20px 0;
    max-width: 85%;
}

.card .card-link-wrapper {
    margin-top: auto;
}

.card .card-link {
    display: inline-block;
    text-decoration: none;
    color: white;
    background: #ef233c;
    padding: 6px 12px;
    border-radius: 8px;
    transition: background 0.2s;
}

.card:hover .card-link {
    background: var(--darkred);
}

.cards::-webkit-scrollbar {
    height: 12px;
}

.cards::-webkit-scrollbar-thumb,
.cards::-webkit-scrollbar-track {
    border-radius: 92px;
}

.cards::-webkit-scrollbar-thumb {
    background: #c00424;
}

.cards::-webkit-scrollbar-track {
    background: #edf2f4;
}

@media (min-width: 500px) {
    .card {
        flex-basis: calc(50% - 10px);
    }

    .card:not(:last-child) {
        margin-right: 20px;
    }
}

@media (min-width: 700px) {
    .card {
        flex-basis: calc(calc(100% / 3) - 20px);
    }

    .card:not(:last-child) {
        margin-right: 30px;
    }
}

@media (min-width: 1100px) {
    .card {
        flex-basis: calc(25% - 30px);
    }

    .card:not(:last-child) {
        margin-right: 40px;
    }
}

.project-info-div {
    display: none;
    position: absolute;
    z-index: 2;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);   
    width: 95vw;
    background-color: white;
    height: 88%;
    border-radius: 130px 130px 0px 0px;
    padding: 40px;
}

.popup-info {
    padding: 30px 0px 0px 50px;
}

.heading-and-close {
    display: fl;
}

.popup-heading {
    font-size: 60px;
    font-weight: 600;
}

.close-button {
    position: sticky;
    top: 55px;
    display: inline;
    padding-left: 55vw;
}

.close-button-img {
    width: 50px;
    opacity: 0.4;
    cursor: pointer;
}

.close-button-img:hover {
    opacity: 1;
}

@media (max-width: 480px) {
    .description-section {
        margin: 80px 0;
    }

    .description-1 {
        font-size: 30px;
    }

    .description-2 {
        font-size: 40px;
        font-weight: 600;
        width: 100%;
        text-align: center;
        margin: 10px auto;
    }

    .description-3 {
        width: 100%;
        text-align: center;
        line-height: 30px;
        font-size: 25px;
        margin: 5px auto;
    }

    .other-companies {
        margin-bottom: 80px;
    }

    .main-project {
        margin-bottom: 10px;
    }

    .side-projects-img {
        width: 44dvw;
        height: 240px;
        border-radius: 30px;
        cursor: pointer;
    }

    .side-projects {
        gap: 2dvw;
        margin-bottom: 10px;
    }

    .last-project {
        margin-bottom: 40px;
    }

    .back-stage{
        flex-direction: column;
        margin-bottom: 40px;
    }

    .back-stage-text {
        font-size: 25px;
        margin-bottom: 10px;
    }

    .about-us-button {
        background-color: red;
        color: white;
        width: 60px;
        height: 20px;
        border-radius: 3px;
        font-size: 10px;
        cursor: default;
    }

    .arrow {
        font-size: 15px;
        margin-left: 2px;
    }

    .about-us {
        margin-left: 6dvw;
    }

    .about-us-heading {
        margin-right: 30dvw;
        font-size: 8dvw;
        line-height: 8dvh;
        margin-bottom: 20px;
    }

    .about-us-text {
        margin-right: 15dvw;
        font-size: 20px;
        line-height: 6dvh;
        margin-bottom: 15px;
    }

    .about-us-text-last {
        margin-bottom: 20dvh;
    }

    .last-text {
        margin-left: 6dvw;
        margin-bottom: 20px;
        font-size: 3dvw;
    }

}

/*
Z-INDEX Order :
    .overlay = 1
    .project-info-div = 2
    .mobile-nav = 3
*/